import { DeployResult, FileResponse, RetrieveResult } from '@sf/sdr';
import { Failures, Successes } from '@sf/sdr/lib/src/client/types';
import { TestLevel } from './testLevel';
export declare type PackageRetrieval = {
    name: string;
    path: string;
};
export declare function asRelativePaths(fileResponses: FileResponse[]): FileResponse[];
/**
 * Sorts file responds by type, then by filePath, then by fullName
 */
export declare function sortFileResponses(fileResponses: FileResponse[]): FileResponse[];
export declare function sortTestResults(results?: Failures[] | Successes[]): Failures[] | Successes[];
export declare function toArray<T>(entryOrArray: T | T[] | undefined): T[];
export declare function displaySuccesses(result: DeployResult | RetrieveResult): void;
export declare function displayPackages(result: RetrieveResult, packages: PackageRetrieval[]): void;
export declare function displayTestResults(result: DeployResult, testLevel: TestLevel): void;
export declare function displayFailures(result: DeployResult | RetrieveResult): void;
